<?
/////////////////////////////////////////////////////
//  险情文章管理 1.0正式版本--php文本存储格式      //
//  作者：上海财经大学99国际工管    险情           //
//  email：indraw@sina.com                         //
//  qq：   30467826                                //
//  技术支持：http://shcj.51.net/wdb               //
//  最新演示：http://xqart.126.com                 //
//  2002/4/10                                      //
//  最新下载地址 http;//shcj.51.net/wdb            //
/////////////////////////////////////////////////////
require("config.php");
require("xqfunc.php");
//////////////////格式化输入数据////////////////////////////////////////////
            $id=safe_cover($id);
            $type=safe_cover($type);
            $file_name=safe_cover($file_name);
//////////////////检查文章是否存在，并且读入数组////////////////////////////
if (!isset($mode)) {
   $mode="show";
   }
switch ($mode){
///////////////
case "show":
/////输出//////
if (!ereg ("^[a-zA-Z]{1,20}$",$type) or !isset($type) or !isset($id) or !ereg ("^[0-9]{5,20}$",$id)) {
  $msg="没有此文章";
  $turn_page="index.php";
  head_form();
  error_0($msg,$turn_page);
  exit;
  }
else {
?>
<html>
<head>
<title>查看先前留言</title>
<LINK href="style.css" type=text/css rel=stylesheet>
</head>
<body ><?
                echo "<br><center><table width=100%><tr><td align=center >";
                echo "<font font-size:16px'>查看["."$file_name"."]的全部评论</font>";
                echo "</td></tr><tr><td>";
                if (file_exists("data/$type/$id".".mgs")){
                $oldmgs=file("data/$type/$id".".mgs");
                $countmgs=count($oldmgs);
                for ($i=$countmgs-1;$i>=0;$i--) {
                echo "<IMG src=images/line.gif border=0 ><BR>";
                $num=$i+1;
                echo "$num. $oldmgs[$i]<br>";
                           }
                echo "<IMG src=images/line.gif border='0'";
                echo "<br>";}
                else {
                echo "<IMG src=images/mgs.gif border='0'> 没有评论";
                }
                echo "</td></tr></table>";
require("foot.php"); }
///////////////
break;
case "add":
require("head.php");
/////输出//////
//////////////////格式化输入数据////////////////////////////////////////////
if (!ereg ("^[0-9]{1,20}$",$id) or !isset($id) or !isset($type) or !ereg ("^[a-zA_Z]{1,10}$",$type)) {
  $msg="没有此文章，请返回主页";
  $turn_page="javascript:history.back(1);";
  head_form();
  error_0($msg,$turn_page);
  exit;
  }
  $comment=safe_cover($comment);
  $name=safe_cover($name);
if (empty($type) or empty($id)){
  $msg="没有此文章，请返回主页";
  $turn_page="javascript:history.back(1);";
  head_form();
  error_0($msg,$turn_page);
  exit;
  }
if (empty($comment) or $comment=="※您的评论"){
  $msg="您还没有填写评论内容";
  $turn_page="javascript:history.back(1);";
  head_form();
  error_0($msg,$turn_page);
  exit;
  }
if (empty($name) or $name=="姓名"){
  $msg="您还没有留下名字";
  $turn_page="javascript:history.back(1);";
  head_form();
  error_0($msg,$turn_page);
  exit;
  }
function converip($ip) {
$ip_detail=explode(".",$ip);
if (file_exists("datafile/$ip_detail[0].txt")) $ip_data=file("datafile/$ip_detail[0].txt");
else $ip_data=file("datafile/0.txt");
for ($i=0; $i<=3; $i++) {
if (strlen($ip_detail[$i])==2) {$ip_detail[$i]="0".$ip_detail[$i]; continue;}
if (strlen($ip_detail[$i])==1) $ip_detail[$i]="00".$ip_detail[$i];
}
$ip=join(".",$ip_detail);
$count=count($ip_data);
$count=$count-1;
for ($i=0; $i<=$count; $i++) {
 $ip_data_detail=explode("|",$ip_data[$i]);
 if ($ip>=$ip_data_detail[0] && $ip<=$ip_data_detail[1]) return $ip_data_detail[2].$ip_data_detail[3];
}
if ($ip_detail[0]=="127") return "本地机器";
return "未知地区";
}
$ip=getenv("REMOTE_ADDR");
$ip=converip($ip);
//////////////////写文章的具体操作////////////////////////////
$USER_MSG=safe_cover($USER_MSG);
$newdate=date("[m-d G:i]");
$newmgs="[$name]"."※$comment"."<FONT COLOR=GRAY> $newdate"."-$ip</font>\n";
$fp=fopen("data/$type/$id.mgs", "a+");
flock($fp,3);
fwrite($fp,$newmgs);
fclose($fp);
$view_num=file("data/$type/$id".".num");
$view_num_info=explode("|",$view_num[0]);
$mgs_num=$view_num_info[3]+1;
$view_num="$view_num_info[0]|$view_num_info[1]|$view_num_info[2]|$mgs_num|$view_num_info[4]|$view_num_info[5]|$view_num_info[6]|$view_num_info[7]|$view_num_info[8]|$view_num_info[9]|$view_num_info[10]|$view_num_info[11]|$view_num_info[12]|$view_num_info[13]|$view_num_info[14]|$view_num_info[15]|$view_num_info[16]|$view_num_info[17]|$mgs_num|$view_num_info[19]|$view_num_info[20]|$view_num_info[21]|$view_num_info[22]";
$fp=fopen("data/$type/$id".".num", "w");
flock($fp,3);
fwrite($fp,$view_num);
fclose($fp);
  $msg="您已经成功添加评论，按此返回";
  $turn_page="javascript:history.back(1);";
  head_form();
  error_1($msg,$turn_page);
  exit;
///////////////
break;
}
/////输出//////
?>